//Listener to start app
IR.AddListener(IR.EVENT_START,0,function()
{  
   //variables
   var l_sAllData = '';
   var l_bTest = false;
   var l_oInterval = null;
   var l_aNewData;
   //Listener  of activation of the driver command          
   IR.AddListener(IR.EVENT_CHANNEL_SET, IR.GetDevice("iRidium Server"), function (in_sName, in_sValue) {
      if (in_sName == "Day" || in_sName == "Month") {
         l_bTest = true;  
         IR.GetPage("Page 1").GetItem("Item 1").Clear();
      } 
   });
   
   //Listener of changes the status of the feedback channel         
   IR.AddListener(IR.EVENT_TAG_CHANGE, IR.GetDevice("iRidium Server"), function (in_sName, in_sValue) {      
      if (in_sName == "Data" && l_bTest) {
         IR.ClearInterval(l_oInterval);
         l_sAllData += (in_sValue + "\n");  //store received data in variable
         l_oInterval = IR.SetTimeout(1000, function () {  
            l_aNewData = l_sAllData.split("\n");  //parse the string with "\n" devider
            for (var i = 0; i < l_aNewData.length - 1; i++) {
               IR.GetPage("Page 1").GetItem("Item 1").CreateItem(i, 1, {Text: l_aNewData[i]});   //create new list elements with received data               
            }
            l_bTest = false; 
            l_sAllData = '';
            l_aNewData = [];            
         })             
      }   
   });    
});